Package org.eclipse.m2m.atl.emftvm.trace.presentation

# Class TraceModelWizard.TraceModelWizardInitialObjectCreationPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.m2m.atl.emftvm.trace.presentation.TraceModelWizard.TraceModelWizardInitialObjectCreationPage

All Implemented Interfaces:
  `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.wizard.IWizardPage`

Enclosing class:
  `TraceModelWizard`

public class TraceModelWizard.TraceModelWizardInitialObjectCreationPage extends org.eclipse.jface.wizard.WizardPage
This is the page where the type of object to create is selected.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.swt.widgets.Combo`
`encodingField`
`protected List<String>`
`encodings`
`protected org.eclipse.swt.widgets.Combo`
`initialObjectField`
`protected org.eclipse.swt.events.ModifyListener`
`validator`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`TraceModelWizardInitialObjectCreationPage(String pageId)`
Pass in the selection.

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`String`
`getEncoding()`
`protected Collection<String>`
`getEncodings()`
`String`
`getInitialObjectName()`
`protected String`
`getLabel(String typeName)`
Returns the label for the specified type name.
`void`
`setVisible(boolean visible)`
`protected boolean`
`validatePage()`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Methods inherited from interface org.eclipse.jface.wizard.IWizardPage

`getMinimumPageSize`

## Field Details

### initialObjectField

protected org.eclipse.swt.widgets.Combo initialObjectField

### encodings

protected List<String> encodings

### encodingField

protected org.eclipse.swt.widgets.Combo encodingField

### validator

protected org.eclipse.swt.events.ModifyListener validator

## Constructor Details

### TraceModelWizardInitialObjectCreationPage

public TraceModelWizardInitialObjectCreationPage(String pageId)
Pass in the selection.

## Method Details

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

### validatePage

protected boolean validatePage()

### setVisible

public void setVisible(boolean visible)

Specified by:
  `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

### getInitialObjectName

public String getInitialObjectName()

### getEncoding

public String getEncoding()

### getLabel

protected String getLabel(String typeName)
Returns the label for the specified type name.

### getEncodings

protected Collection<String> getEncodings()